---
import SectionHeader from "../SectionHeader/SectionHeader";
import { getLangFromUrl, useTranslations } from "../../../i18n/utils.ts";

const lang = getLangFromUrl(Astro.url);
const t = useTranslations(lang, { keyPrefix: "about" });
import "./about.sass";
---

<section id="about">
  <SectionHeader title={t("title")} tagline={t("tagline")} />
  <p>{t("intro")}</p>
  <p>{t("values")}</p>
  <p>{t("hard-skills")}</p>
  <p>{t("soft-skills")}</p>
  <p>{t("others")}</p>
</section>
